# Class CollectionManager

java.lang.Object
bsh.CollectionManager

public class CollectionManager extends Object
The default CollectionManager (which remains Java 1.1 compatible) supports iteration over objects of type: Enumeration, Vector, String, StringBuffer and array. The dynamically loaded CollectionManagerImpl supports additional types when it is present.

See Also:
  - invalid reference

        BshIterable.java

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CollectionManager.BasicBshIterator`
An implementation that works with JDK 1.1

## Constructor Summary

Constructors
Constructor
Description
`CollectionManager()`

## Method Summary

Modifier and Type
Method
Description
`BshIterator`
`getBshIterator(Object obj)`
`static CollectionManager`
`getCollectionManager()`
`Object`
`getFromMap(Object map, Object key)`
`boolean`
`isBshIterable(Object obj)`
`boolean`
`isMap(Object obj)`
`Object`
`putInMap(Object map, Object key, Object value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CollectionManager

public CollectionManager()

## Method Details

### getCollectionManager

public static CollectionManager getCollectionManager()

### isBshIterable

public boolean isBshIterable(Object obj)

### getBshIterator

public BshIterator getBshIterator(Object obj) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### isMap

public boolean isMap(Object obj)

### getFromMap

public Object getFromMap(Object map, Object key)

### putInMap

public Object putInMap(Object map, Object key, Object value)